import datetime


def _json_format(value):
    if isinstance(value, datetime.datetime):
        return value.isoformat().replace('+00:00', 'Z')
    return value


def json_format(to_format):
    """
    Returns value formatted like json output of the API.

    Supported type of value:
    * datetime
    """
    if type(to_format) == dict:
        return {key: _json_format(value) for key, value in to_format.items()}
    return _json_format(to_format)
