"""
GestionÉvenementiel URL configuration
"""
from django.conf import settings
from django.conf.urls import url, include
from django.contrib import admin

#from django_cas_ng import views as django_cas_views
from allauth_ens.views import capture_login, capture_logout

from shared.admin import admin_site


urlpatterns = [
    url(r'^admin/login/$', capture_login),
    url(r'^admin/logout/$', capture_logout),
    url(r'^compte/', include('allauth.urls')),
    # Admin
    url(r'^admin/', admin_site.urls),
    # Apps
    url(r'^event/', include('event.urls')),
    url(r'^user/', include('users.urls')),
    # REST
    url(r'^api/', include('api.urls')),
    # Reste
    url(r'^', include('shared.urls')),
]

if 'debug_toolbar' in settings.INSTALLED_APPS:
    import debug_toolbar
    urlpatterns += [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ]
